function skill1204()

if flag.GetBattleValue(12952)==1 then atkscale=1.5 else atkscale=1 end
if battle.CheckNpcStat(90000,3)==1 then atkscale=atkscale*0.3 end
	
	for p=0,9,1 do
		pid=2^p
		if player.IsPlayerInBattle(pid)==1 and battle.CheckPlayerStat(pid,83)==0 and player.GetHP(pid,0)~=0 and battle.CheckPlayerStat(pid,15)==0 and battle.CheckPlayerStat(pid,37)==0 then
			local da=battle.GetRndNumber(163,332)
			player.ChangeHP(0,0,pid,-da*atkscale)
		elseif player.IsPlayerInBattle(pid)==1 and battle.CheckPlayerStat(pid,83)==1 and player.GetHP(pid,0)~=0 and battle.CheckPlayerStat(pid,15)==0 and battle.CheckPlayerStat(pid,37)==0 then
			local da=battle.GetRndNumber(632,813)
			player.ChangeHP(0,0,pid,-da*atkscale)
		end
	end
	

end